summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sbraz@gentoo.org>2018-09-08 00:59:04 +0200
committerLouis Sautier <sbraz@gentoo.org>2018-09-08 00:59:16 +0200
commitb6767d1099a79b4ab31e95748f5519bd30fa66ea (patch)
tree0b54994fabe5313c8068d62b01a62e6925f05178
parentnet-libs/miniupnpc: stable 2.0.20180503 for hppa, bug #665412 (diff)
downloadgentoo-b6767d1099a79b4ab31e95748f5519bd30fa66ea.tar.gz
gentoo-b6767d1099a79b4ab31e95748f5519bd30fa66ea.tar.bz2
gentoo-b6767d1099a79b4ab31e95748f5519bd30fa66ea.zip
dev-python/jaraco-itertools: bump to 2.5, make tests more verbose
Package-Manager: Portage-2.3.48, Repoman-2.3.10
-rw-r--r--dev-python/jaraco-itertools/Manifest1
-rw-r--r--dev-python/jaraco-itertools/jaraco-itertools-2.5.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/jaraco-itertools/Manifest b/dev-python/jaraco-itertools/Manifest
index e6d0d381e4f..17f265b4f7f 100644
--- a/dev-python/jaraco-itertools/Manifest
+++ b/dev-python/jaraco-itertools/Manifest
@@ -1,2 +1,3 @@
DIST jaraco.itertools-2.3.tar.gz 12857 BLAKE2B 714b123965af3ff593205aab373f3097709729377cd867ca2a7ccbb7795b1818f47b0b316d4c927c9aec4eb66fe1da63b44c1d60db310dd97b5444b01f7db04d SHA512 070a442531fd079fefcb61bbbdb0cc98bc88cbc5f23f6cb40ee1fafbc9a259c69e0a373e949ab54d22836f54b0de41e1b09d10692f92d18030825ca09345be48
DIST jaraco.itertools-2.4.tar.gz 13026 BLAKE2B f7e73667a1aae0641cc8ef1bb901fe54ba6ff3742148840fb355677c9370bfa8a4ab2654864fb224f342552e5bd551e168fb7aa0dd3c61c6f10cd2b4b398f580 SHA512 95d687b4c7f32e2f8e712bd5ac8b82fa63a1571a9062d9182f13bf027c65d4266b87c2c450a89dd2ac01124e5ccaeb976a9cf14788778903be79db5f7dda6167
+DIST jaraco.itertools-2.5.tar.gz 13617 BLAKE2B 06c008a33a451314aa3e4ff0a5753dcd5e7f0b6504faea5574ea9d2061999246efbd62789e6ba81d49cc12cd4b13dd8241e58cbc71de611bd0cc773e5d40a1fa SHA512 9e56282073e7a09bcbe114c863c27d4a8233dc5b2805b17f174afcaba8643e6f8405c26f492713d0970975535102b188a4bad246b747a5718362c81a845cb494
diff --git a/dev-python/jaraco-itertools/jaraco-itertools-2.5.ebuild b/dev-python/jaraco-itertools/jaraco-itertools-2.5.ebuild
new file mode 100644
index 00000000000..4342eba0bde
--- /dev/null
+++ b/dev-python/jaraco-itertools/jaraco-itertools-2.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Tests fail with PyPy and PyPy 3
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Tools for working with iterables. Complements itertools and more_itertools"
+HOMEPAGE="https://github.com/jaraco/jaraco.itertools"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/namespace-jaraco[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/inflect[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+ >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ # Override pytest options to skip flake8
+ PYTHONPATH=. pytest -vv --override-ini="addopts=--doctest-modules" \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}